# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

from .datamodule import DataModule

datamodule = DataModule("no-tb-idiap.json.bz2")
"""Padchest dataset for computer-aided diagnosis (``no-tb-idiap`` split).

  * Training samples: 20'126
  * Validation samples: 1'500
  * Test samples: 0

* Images path adapted to Idiap infrastructure

* Labels (in order), match those of NIH CXR-14:

  * cardiomegaly
  * emphysema
  * effusion
  * hernia
  * infiltration
  * mass
  * nodule
  * atelectasis
  * pneumothorax
  * pleural thickening
  * pneumonia
  * fibrosis
  * edema and consolidation

Read documentation of :py:class:`DataModule` for technical details.
"""
