# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

from .datamodule import DataModule

datamodule = DataModule("v2-others-vs-atb.json")
"""TBX11k dataset for TB detection.  Split ``v1`` (everything else against
active TB cases).

Split v2 contains healthy, sick (no TB), and latent TB subjects against
active TB cases (total samples = 8369):

* ``train`` dataset samples:

  - Healthy, Sick or Latent TB: 4864
  - Active TB only: 377
  - Total: 5241

* ``validation`` dataset samples:

  - Healthy, Sick or Latent TB: 1239
  - Active TB only: 96
  - Total: 1335

* ``test`` dataset samples:

  - Healthy, Sick or Latent TB: 1636
  - Active TB only: 157
  - Total: 1793
"""
